Summary: Base files for localization (English)
Name: locales-en
Version: 1.0
Release: 3
Copyright: GPL
Group: Base
Source0: bogus-ja-locale
BuildArchitectures: noarch
# to build this package glibc is needed (for locales definitions)
PreReq: glibc
# no need to check for dependencies when building, there is no executables here
AutoReqProv: no
BuildRoot: /tmp/locales-root
Icon: bulle-en.gif

%description
These are the base files for English language localization.

%build
mv /usr/share/locale /usr/share/locale_bak
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
ln -s $RPM_BUILD_ROOT/usr/share/locale /usr/share/locale

# languages which have only one locales; use the language name as locale
#name for them; that makes the localization far easier
for i in cs_CZ da_DK es_ES et_EE eu_ES fi_FI fo_FO ga_IE gr_GR hr_HR \
	 hu_HU is_IS it_IT iw_IL kl_GL lt_LT lv_LV no_NO pl_PL ro_RO \
	 sl_SI tr_TR
do
	DEF_CHARSET=`grep '% Charset:' /usr/share/i18n/locales/$i | \
		cut -d' ' -f3 | cut -d':' -f1 | tr '_' '-'`
	DEF_LOCALE=`basename $i`
	DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LANG || :
done

# Russian uses koi8-r by default, iso-8859-5 is a second choice
localedef -c -f KOI8-R -i ru_RU ru || :
localedef -c -f KOI8-R -i ru_RU ru_RU || :
localedef -c -f ISO-8859-5 -i ru_RU ru_RU.ISO-8859-5 || :

# languages which have several locales
for i in /usr/share/i18n/locales/de_?? /usr/share/i18n/locales/en_?? \
	 /usr/share/i18n/locales/fr_?? /usr/share/i18n/locales/nl_?? \
	 /usr/share/i18n/locales/pt_?? /usr/share/i18n/locales/sv_??
do
	DEF_CHARSET=`grep '% Charset:' $i | cut -d' ' -f3 | cut -d':' -f1 | tr '_' '-'`
	DEF_LOCALE=`basename $i`
	DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LOCALE || :
done

# nl_NL uses of course iso-8859-1, the file says iso-8859-9 which is Turkish !
# overwrite it
localedef -c -f ISO-8859-1 -i nl_NL nl_NL

# create the default locales for languages whith multiple locales
localedef -c -f ISO-8859-1 -i de_DE de
localedef -c -f ISO-8859-1 -i en_US en
localedef -c -f ISO-8859-1 -i fr_FR fr
localedef -c -f ISO-8859-1 -i nl_NL nl
localedef -c -f ISO-8859-1 -i pt_PT pt
localedef -c -f ISO-8859-1 -i sv_SE sv

# create the japanese locale (it is bogus, as iso-8859-1 is not the
# right charset; but this allows more or less right behaviour of programs,
#until I found a real ja_JP definition.

localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-ja-locale ja_JP.EUC
localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-ja-locale ja

rm /usr/share/locale
mv /usr/share/locale_bak /usr/share/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/locale/en*

####################################################################
# The various localization packages.
#
# add one for each new language that is included in the future
# TODO: where to find the files for 16 bits languages (ja,ko,cn) ?
# TODO: someone to translate the Summary and descriptions ?
# TODO: make icons whith correct flag for: et fo hr kl lt lv sl
####################################################################

### cs
%package -n locales-cs
Summary: Base files for localization (Czech)
Group: Base
Icon: bulle-cs.gif

%description -n locales-cs
These are the base files for Czech language localization.

%files -n locales-cs
/usr/share/locale/cs*

### da
%package -n locales-da
Summary: Base files for localization (Danish)
Group: Base
Icon: bulle-da.gif

%description -n locales-da
These are the base files for Danish language localization.

%files -n locales-da
/usr/share/locale/da*

### de
%package -n locales-de
Summary: Base files for localization (German)
Group: Base
Icon: bulle-de.gif

%description -n locales-de
These are the base files for German language localization.

%files -n locales-de
/usr/share/locale/de*

### es
%package -n locales-es
Summary: Base files for localization (Spanish)
Group: Base
Icon: bulle-es.gif

%description -n locales-es
Este paquete incluye las definiciones de locales para el castellano.
(These are the base files for Spanish language localization)

%files -n locales-es
/usr/share/locale/es*

### et
%package -n locales-et
Summary: Base files for localization (Estonian)
Group: Base

%description -n locales-et
These are the base files for Estonian language localization.

%files -n locales-et
/usr/share/locale/et*

### eu
%package -n locales-eu
Summary: Base files for localization (Basque)
Group: Base
Icon: bulle-eu.gif

%description -n locales-eu
Linux-ek euskaraz badaki !
These are the base files for Basque language localization.

%files -n locales-eu
/usr/share/locale/eu*

### fi
%package -n locales-fi
Summary: Base files for localization (Finnish)
Group: Base
Icon: bulle-fi.gif

%description -n locales-fi
These are the base files for Finnish language localization.

%files -n locales-fi
/usr/share/locale/fi*

### fo
%package -n locales-fo
Summary: Base files for localization (Faroese)
Group: Base

%description -n locales-fo
These are the base files for Faroese language localization.

%files -n locales-fo
/usr/share/locale/fo*

### fr
%package -n locales-fr
Summary: Base files for localization (French)
Group: Base
Icon: bulle-fr.gif

%description -n locales-fr
Ce paquet contient les dfinitions de locales en langue franaise.
Contient: fr_BE, fr_CA, fr_CH, fr_FR et fr_LU.
(These are the base files for French language localization)

%files -n locales-fr
/usr/share/locale/fr*

### ga
%package -n locales-ga
Summary: Base files for localization (Irish)
Group: Base
Icon: bulle-ga.gif

%description -n locales-ga
These are the base files for Irish language localization.

%files -n locales-ga
/usr/share/locale/ga*

### gr
%package -n locales-gr
Summary: Base files for localization (Greek)
Group: Base
Icon: bulle-gr.gif

%description -n locales-gr
These are the base files for Greek language localization.

%files -n locales-gr
/usr/share/locale/gr*

### hr
%package -n locales-hr
Summary: Base files for localization (Croatian)
Group: Base

%description -n locales-hr
These are the base files for Croatian language localization.

%files -n locales-hr
/usr/share/locale/hr*

### hu
%package -n locales-hu
Summary: Base files for localization (Hungarian)
Group: Base
Icon: bulle-hu.gif

%description -n locales-hu
These are the base files for Hungarian language localization.

%files -n locales-hu
/usr/share/locale/hu*

### is
%package -n locales-is
Summary: Base files for localization (Icelandic)
Group: Base
Icon: bulle-is.gif

%description -n locales-is
These are the base files for Icelandic language localization.

%files -n locales-is
/usr/share/locale/is*

### it
%package -n locales-it
Summary: Base files for localization (Italian)
Group: Base
Icon: bulle-it.gif

%description -n locales-it
These are the base files for Italian language localization.

%files -n locales-it
/usr/share/locale/it*

### iw
%package -n locales-iw
Summary: Base files for localization (Hebrew)
Group: Base
Icon: bulle-iw.gif

%description -n locales-iw
These are the base files for Hebrew language localization.

%files -n locales-iw
/usr/share/locale/iw*

### ja
%package -n locales-ja
Summary: Base files for localization (Japanese)
Group: Base
Icon: bulle-ja.gif

%description -n locales-ja
These are the base files for Japanese language localization.
Note that they aren't correct, as they use iso-8859-1 char definitions
for EUC-jp chars...; they allow however proper display whith japanese
for most programs; that is the function isprint() will return true for
the characters that are used in japanese.
LC_TIME and LC_MONETARY have also been modified, now "date +%c" displays
the date in kanji.

%files -n locales-ja
/usr/share/locale/ja*

### kl
%package -n locales-kl
Summary: Base files for localization (Greenlandic)
Group: Base

%description -n locales-kl
These are the base files for Greenlandic language localization.

%files -n locales-kl
/usr/share/locale/kl*

### lt
%package -n locales-lt
Summary: Base files for localization (Lithuanian)
Group: Base

%description -n locales-lt
These are the base files for Lithuanian language localization.

%files -n locales-lt
/usr/share/locale/lt*

### lv
%package -n locales-lv
Summary: Base files for localization (Latvian)
Group: Base

%description -n locales-lv
These are the base files for Latvian language localization.

%files -n locales-lv
/usr/share/locale/lv*

### nl
%package -n locales-nl
Summary: Base files for localization (Dutch)
Group: Base
Icon: bulle-nl.gif

%description -n locales-nl
These are the base files for Dutch language localization.

%files -n locales-nl
/usr/share/locale/nl*

### no
%package -n locales-no
Summary: Base files for localization (Norwegian)
Group: Base
Icon: bulle-no.gif

%description -n locales-no
These are the base files for Norwegian language localization.

%files -n locales-no
/usr/share/locale/no*

### pl
%package -n locales-pl
Summary: Base files for localization (Polish)
Group: Base
Icon: bulle-pl.gif

%description -n locales-pl
These are the base files for Polish language localization.

%files -n locales-pl
/usr/share/locale/pl*

### pt
%package -n locales-pt
Summary: Base files for localization (Portuguese)
Group: Base
Icon: bulle-pt.gif

%description -n locales-pt
These are the base files for Portuguese language localization.

%files -n locales-pt
/usr/share/locale/pt*

%post -n locales-pt
# rpm uses pt-br instead of pt_BR
if file /usr/share/locale/pt-br | grep directory >& /dev/null
then
	mv /usr/share/locale/pt-br /usr/share/locale/pt-br.tmp
	ln -s pt_BR /usr/share/locale/pt-br
	mv /usr/share/locale/pt-br.tmp/LC_MESSAGES/* /usr/share/locale/pt_BR/LC_MESSAGES/
	rm -r /usr/share/locale/pt-br.tmp
else
	ln -s pt_BR /usr/share/locale/pt-br
fi

### ro
%package -n locales-ro
Summary: Base files for localization (Romanian)
Group: Base
Icon: bulle-ro.gif

%description -n locales-ro
These are the base files for Romanian language localization.

%files -n locales-ro
/usr/share/locale/ro*

### ru
%package -n locales-ru
Summary: Base files for localization (Russian)
Group: Base
Icon: bulle-ru.gif

%description -n locales-ru
These are the base files for Russian language localization.

%files -n locales-ru
/usr/share/locale/ru*

### sl
%package -n locales-sl
Summary: Base files for localization (Slovenian)
Group: Base

%description -n locales-sl
These are the base files for Slovenian language localization.

%files -n locales-sl
/usr/share/locale/sl*

### sv
%package -n locales-sv
Summary: Base files for localization (Swedish)
Group: Base
Icon: bulle-sv.gif

%description -n locales-sv
These are the base files for Swedish language localization.

%files -n locales-sv
/usr/share/locale/sv*

### tr
%package -n locales-tr
Summary: Base files for localization (Turkish)
Group: Base
Icon: bulle-tr.gif

%description -n locales-tr
These are the base files for Turkish language localization.

%files -n locales-tr
/usr/share/locale/tr*

